Bug 120175 - New port: www/bestbrowser Script to find and run a WEB browser
Summary: New port: www/bestbrowser Script to find and run a WEB browser
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-31 01:00 UTC by Jason Bacon
Modified: 2008-02-07 12:50 UTC (History)
0 users

See Also:


Attachments
file.shar (1.82 KB, text/plain)
2008-01-31 01:00 UTC, Jason Bacon
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Bacon 2008-01-31 01:00:04 UTC
Bestbrowser is a simple script that finds and runs the best available browser
on the host.  It allows applications (such as math/lensnns) that use HTML 
or other browser-based docs to function without requiring a specific browser 
to be installed.  It contains a default list of browsers, which can be 
overridden via the environment or the command line.
Comment 1 Thomas Abthorpe freebsd_committer 2008-02-04 15:30:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

I'll take it.
Comment 2 Thomas Abthorpe freebsd_committer 2008-02-04 15:46:31 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I feel this portname is misleading, not to mention the ensuing browser war it 
could generate.

I would like to propose a different name, such as choosebrowser.


Thomas
- -- 
Thomas Abthorpe		| FreeBSD Committer
tabthorpe@FreeBSD.org	| http://people.freebsd.org/~tabthorpe
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.4 (FreeBSD)

iD8DBQFHpzNh5Gm/jNBp8qARAtDCAKCCSAiF1jm6lmqNJGvl7tWmNrC/FQCfZjpy
jzqFb0Tb6biCTY8h0Nm0D+c=
=bjx8
-----END PGP SIGNATURE-----
Comment 3 dfilter service freebsd_committer 2008-02-07 12:43:58 UTC
tabthorpe    2008-02-07 12:43:50 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/runsomebrowser   Makefile distinfo pkg-descr 
  Log:
  Shell script for finding and running an available installed browser
  on the system.
  
  WWW:    http://personalpages.tds.net/~jwbacon/Ports
  
  PR:             ports/120175
  Submitted by:   Jason Bacon <jwbacon at tds.net>
  
  Revision  Changes    Path
  1.1965    +1 -0      ports/www/Makefile
  1.1       +27 -0     ports/www/runsomebrowser/Makefile (new)
  1.1       +3 -0      ports/www/runsomebrowser/distinfo (new)
  1.1       +4 -0      ports/www/runsomebrowser/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Thomas Abthorpe freebsd_committer 2008-02-07 12:44:39 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!